<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function fix

Round a value towards zero.
For matrices, the function is evaluated element wise.


## Syntax

```js
math.fix(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; BigNumber &#124; Fraction &#124; Complex &#124; Array &#124; Matrix | Number to be rounded
`n` | number &#124; BigNumber &#124; Array | Number of decimals Default value: 0.

### Returns

Type | Description
---- | -----------
number &#124; BigNumber &#124; Fraction &#124; Complex &#124; Array &#124; Matrix | Rounded value


### Throws

Type | Description
---- | -----------


## Examples

```js
math.fix(3.2)                // returns number 3
math.fix(3.8)                // returns number 3
math.fix(-4.2)               // returns number -4
math.fix(-4.7)               // returns number -4

math.fix(3.12, 1)                // returns number 3.1
math.fix(3.18, 1)                // returns number 3.1
math.fix(-4.12, 1)               // returns number -4.1
math.fix(-4.17, 1)               // returns number -4.1

const c = math.complex(3.22, -2.78)
math.fix(c)                  // returns Complex 3 - 2i
math.fix(c, 1)               // returns Complex 3.2 - 2.7i

math.fix([3.2, 3.8, -4.7])      // returns Array [3, 3, -4]
math.fix([3.2, 3.8, -4.7], 1)   // returns Array [3.2, 3.8, -4.7]
```


## See also

[ceil](ceil.md),
[floor](floor.md),
[round](round.md)
